Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 31 Mar 2021 08:41:52 +0200

> IME, there's any number of "real problems" out there, and the hope to
 > find them all is ... too optimistic.

I'd be already happy to find just the one we talk about here.

 > There's nothing wrong with being
 > defensive against unknown factors.

Agreed.  What I meant was that if, as we suppose, the mischief happens
at time T1 somewhere in redisplay and is detected (by chance) and
corrected at time T2 in the main loop, any side effects that mischief
causes between T1 and T2 still go undetected and may cause arbitrary
harm.

In either case whatever you want to do here - set the selected window's
buffer or just the current buffer in the main loop - would not interfere
with finding the real culprit.  So I certainly won't object to your fix.

martin